polygon.hh File Reference
`#include <vector>`
`#include <mia/2d/vector.hh>`
`#include <mia/2d/defines2d.hh>`
Include dependency graph for polygon.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | C2DPolygon
| A simple 2D polygon class. More...

## Typedefs

typedef std::shared_ptr< C2DPolygon > | P2DPolygon
| Pointer type for 2D polygons.

## Typedef Documentation

## P2DPolygon

typedef std::shared_ptr<C2DPolygon > P2DPolygon

Pointer type for 2D polygons.

Definition at line 92 of file polygon.hh.